#ifdef QTAPP
#include <qapplication.h>
#else
#include <qpe/qpeapplication.h>
#endif
#include <eb/eb.h>
#include <qtranslator.h>
#include <qmainwindow.h>
#include "ztenwindow.h"
#include "zten.h"
#include <signal.h>

ZtenWindow *g_w;

void sigcont_handler (int)
{
  g_w->resume ();
}

int
main (int argc, char *argv[])
{

#ifdef QTAPP
  QApplication app(argc, argv);
#else
  QPEApplication app(argc, argv);
#endif

  signal (SIGCONT, sigcont_handler);
  QTranslator trans (0);
#ifdef QTAPP
  trans.load ("zten.qm", ".");
#else
  trans.load ("zten.qm");
#endif
  app.installTranslator (&trans);

  ZtenWindow w;

  g_w = &w;
 
#ifdef QTAPP
  w.resize (640, 480);
  app.setMainWidget (&w);
  w.show ();
#else
  app.showMainWidget (&w);
#endif
  return app.exec ();
}
