#include "qbookbrowser.h"

QBookBrowser::QBookBrowser (QWidget *parent, const char *name)
  : QTextBrowser (parent, name)
{
}

// Hacks from qtjiten
// original from  http://lists.trolltech.com/qt-interest/2001-06/msg00992.html
void
QBookBrowser::setSource(const QString &name)
{
  QString strTmp = name;
  if (strTmp.left(9) == "qbooksnd:")
    {
      int index;
      sscanf(strTmp.latin1(), "qbooksnd:%d", &index);
      emit playSound (index);
      return;      
    }
  if (strTmp.left(6) == "qbook:")
    {
      int page, offset;
      EB_Position p;
      sscanf(strTmp.latin1(), "qbook:%d_%d", &page, &offset);
      p.page = page;
      p.offset = offset;
      emit goTo(p);
      return;
    }
  else
    {
      QTextBrowser::setSource(name);
    }
}

int pressed_x, pressed_y;
void QBookBrowser::viewportMousePressEvent( QMouseEvent* e )
{
  pressed_x = e->pos().x();
  pressed_y = e->pos().y();
  QTextBrowser::viewportMousePressEvent(e);
}

void QBookBrowser::viewportMouseMoveEvent( QMouseEvent* e)
{
  if (abs(e->pos().x() - pressed_x) < 5 && 
      abs(e->pos().y() - pressed_y) < 5)
    return;
  pressed_x = -10000;
  pressed_y = -10000;
  QTextBrowser::viewportMouseMoveEvent(e);
}
