#ifndef QBOOKITEM_H
#define QBOOKITEM_H
#include <qlistview.h>

class QBookItem : public QListViewItem
{
 public:
  QBookItem (QListView *parent);
  ~QBookItem ();
  void setSubBookPos (int pos) { sub_book_pos = pos; }
  int getSubBookPos ()  { return sub_book_pos; }
  void setPath (const char *p) { path = strdup (p); }
  const char *getPath () { return path; }
  void setChecked (bool c) { checked = c; }
  bool getChecked () { return checked; }
  void setExtension (const char *e) { if (e) extension = strdup (e); }
  const char *getExtension () { return extension; }
  void setAppendix (const char *a) { if (a) appendix = strdup (a); }
  const char *getAppendix () { return appendix; }
 private:
  bool checked;
  int sub_book_pos;
  const char *path;
  const char *extension;
  const char *appendix;
};

class QBookCheckItem : public QCheckListItem
{
 public:
  QBookCheckItem (QListView *parent, const QString &name, Type type);
  ~QBookCheckItem ();
  void setSubBookPos (int pos) { sub_book_pos = pos; }
  int getSubBookPos ()  { return sub_book_pos; }
  void setPath (const char *p) { path = strdup (p); }
  const char *getPath () { return path; }
 private:
  int sub_book_pos;
  const char *path;
};

#endif // QBOOKITEM_H
