#include <qwidget.h>
#include "qhistorylineedit.h"

QHistoryLineEdit::QHistoryLineEdit (QWidget *parent, const char *name)
  : QComboBox (true, parent, name)
{
  setDuplicatesEnabled (false);
  setInsertionPolicy (QComboBox::AtBottom);
  setAutoCompletion (true);
}

void
QHistoryLineEdit::activate()
{
  int c = count ();
  insertItem (currentText (), c);
  setCurrentItem(c);  
}

void
QHistoryLineEdit::keyPressEvent(QKeyEvent* e)
{
  if (e->key() == Qt::Key_Return)
    {
      emit returnPressed ();
    }
  QComboBox::keyPressEvent(e);
}
