#include <qwidget.h>
#include <qapplication.h>
#include "qlistboxrichtext.h"

QListBoxRichText::QListBoxRichText (const QString text=QString::null,
				    const QString ltext=QString::null)
  :QListBoxText (text)
{
  this->ltext = ltext;
  doc = NULL;
}

QListBoxRichText::~QListBoxRichText ()
{
  delete doc;
}

void
QListBoxRichText::paint ( QPainter *painter)
{
  if (doc && doc->height () != listBox()->font ().pixelSize ())
    {
      delete doc;
      doc = NULL;
    }
  int index = -1;
  if (selected ())
    {
      while ((index = ltext.find ("<img src=\"n-font", 0)) >= 0)
	{
	  if (doc)
	    {
	      delete doc;
	      doc = NULL;
	    }
	  ltext = ltext.replace (index, strlen ("<img src=\"n-font"),
				 "<img src=\"h-font");
	}
    }
  else
    {
      while ((index = ltext.find ("<img src=\"h-font", 0)) >= 0)
	{
	  if (doc)
	    {
	      delete doc;
	      doc = NULL;
	    }
	  ltext.replace (index, strlen ("<img src=\"h-font"),
			 "<img src=\"n-font");
	}
    }
  if (!doc)
    {
      QFont font = listBox()->font ();
      doc = new QSimpleRichText (ltext, font);
      int fsize;
#ifdef QTAPP
      QFontInfo finfo (font);
      fsize = finfo.pixelSize ();
#else
      fsize = font.pixelSize ();
#endif      
      // XXX enough width to avoid line break...
      doc->setWidth (ltext.length() * fsize * 3);
    }
  QColorGroup g = listBox ()->colorGroup ();
  if (selected ())
    g.setColor (QColorGroup::Text, g.highlightedText ());
  else
    g.setColor (QColorGroup::Text, g.foreground ());
  doc->draw (painter,
	     0, 0,
	     QRect (0, 0, doc->widthUsed (), listBox()->height()),
	     g);
}
