#ifndef ZTENCANDIDATE_H
#define ZTENCANDIDATE_H

#include "ztencandidatebase.h"
#include <qtextcodec.h>
#include <qlist.h>
#include <qlineedit.h>
#include <qarray.h>
#include <eb/eb.h>

#define MAX_CANDIDATE 1000

class ZtenCandidate : public ZtenCandidateBase
{
  Q_OBJECT
public:
  ZtenCandidate (EB_Book *book,
		 EB_Position pos,
		 int index,
		 QWidget* parent = 0, const char *name = 0, bool modal = TRUE,
		 WFlags fl = 0);
  ~ZtenCandidate ();
  QTextCodec *codec;
  void addCandidate (QString, EB_Position);
private:
  EB_Hookset candidate_hookset;
  EB_Book *book;
  EB_Hookset text_hookset;

  QArray<EB_Position> pos_list;
  QArray<EB_Position> history;
  QList<QString> candidate_list;

  int history_current;
  int index;

  void setContent (EB_Position pos);
  void setContentNoHistory (EB_Position pos);
private slots:
  void jump (QListBoxItem *);
  void back ();
  void forward ();
protected slots:
  virtual void accept ();
signals:
  void candidateDecided (int index, QString text, QString label);
};

#endif // ZTENCANDIDATE_H
