#ifndef ZTENWINDOW_H
#define ZTENWINDOW_H

#include <qmainwindow.h>
#include "zten.h"

class QAction;
class QPixmap;

class ZtenWindow : public QMainWindow
{
  Q_OBJECT
public:
  ZtenWindow (QWidget *parent = 0);
  void resume ();
private slots:
  void selectBooks ();
  void deleteBook ();  
  void copy ();
  void paste ();
  void back ();
  void forward ();
  void down ();
  //void gotoMenu ();
  void listUp ();
  void listDown ();
  void setExtension ();
  void enableNavigations ();     // enable back, forward
  void enableBackNavigations (); // enable back, disable forward
  void disableNavigations (); // disable back, forward
  void disableBack ();	       // disable back
  void disableForward ();     // disable forward

  void setIncremental (bool);
  void toggleIncremental ();

  void enableListOperations ();
  void enableContentOperations ();
  void setCurrentFont (int);
  void setImageScale (int);

  void dispatchMessage (const QCString &msg, const QByteArray &data);

private:
  void lookup (QString);
  void lookup ();
 
  QPixmap smallPixmap(const char* xpm[]);
  Zten *zten;
  QPopupMenu *setting;
  QPopupMenu *font;
  QPopupMenu *scale;
  QAction *listDownAction, *copyAction, *pasteAction,
    *backAction, *forwardAction, *extensionAction, *downAction,
    *listUpAction, *selectBooksAction, *deleteBookAction;
  //*homeAction;
  int incremental_id;
};

#endif // ZTENWINDOW_H
